import CJS_COMPAT_NODE_URL_owuguwme69 from 'node:url';
import CJS_COMPAT_NODE_PATH_owuguwme69 from 'node:path';
import CJS_COMPAT_NODE_MODULE_owuguwme69 from "node:module";

var __filename = CJS_COMPAT_NODE_URL_owuguwme69.fileURLToPath(import.meta.url);
var __dirname = CJS_COMPAT_NODE_PATH_owuguwme69.dirname(__filename);
var require = CJS_COMPAT_NODE_MODULE_owuguwme69.createRequire(import.meta.url);

// ------------------------------------------------------------
// end of CJS compatibility banner, injected by Storybook's esbuild configuration
// ------------------------------------------------------------
import {
  __name
} from "./chunk-3YJXPC6V.js";

// ../node_modules/slash/index.js
function slash(path) {
  const isExtendedLengthPath = path.startsWith("\\\\?\\");
  if (isExtendedLengthPath) {
    return path;
  }
  return path.replace(/\\/g, "/");
}
__name(slash, "slash");

export {
  slash
};
